<?php
/*
 * Header Section of Forestly
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package forestly
 */
?>
<!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>" />
	<meta name="viewport" content="width=device-width" />
	<title><?php wp_title( '|', true, 'right' ); ?></title>
	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
	<?php if( of_get_option('favicon_icon') != '') { ?>
	<link rel="shortcut icon" type="image/x-icon" href="<?php echo of_get_option('favicon_icon'); ?>" />
	<?php } ?>
<?php // Loads HTML5 JavaScript file to add support for HTML5 elements in older IE versions. ?>
<!--[if lt IE 9]>
<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js" type="text/javascript"></script>
<![endif]-->
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>

<div id="page" class="hfeed site">

  <header id="masthead" class="site-header" role="banner">
	  
	<?php if ( of_get_option('logo_image') ) : ?>
		<div class="fosforit-logo">
			<a href="<?php echo esc_url( home_url( '/' ) ); ?>" 
				title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" 
				rel="home"><img src="<?php echo of_get_option('logo_image'); ?>" 
				alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>">
			</a>
		</div>
		<?php if( of_get_option('enable_social_links') == 1 ) {
			forestly_get_social_links();
		} ?>
	<?php else : ?>
		<hgroup>
			<a href="<?php echo esc_url( home_url( '/' ) ); ?>" 
			title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" 
			rel="home"><?php bloginfo( 'name' ); ?>
			</a>
				<br .../> <a class="site-description"><?php bloginfo( 'description' ); ?></a>
		</hgroup>
		<?php if( of_get_option('enable_social_links') == 1 ) {
			forestly_get_social_links();
		} ?>
	<?php endif; ?>

		<nav id="site-navigation" class="fosforit-nav" role="navigation">
			<a class="assistive-text" href="#content" 
				title="<?php esc_attr_e( 'Skip to content', 'forestly' ); ?>">
				<?php _e( 'Skip to content', 'forestly' ); ?>
			</a>
			<?php wp_nav_menu( array(
				'theme_location' => 'primary', 
				'menu_id' => 'menu-top', 
				'menu_class' => 'nav-menu' ) ); ?>
		</nav><!-- #site-navigation -->
		
		<div class="clear"></div>
  </header><!-- #masthead -->
  <div id="main" class="wrapper">
